org.springframework.data.domain

## Class Sort.TypedSort<T>

- java.lang.Object
- - org.springframework.data.domain.Sort
  - - org.springframework.data.domain.Sort.TypedSort<T>

All Implemented Interfaces:
  Serializable, Iterable<Sort.Order>, Supplier<Stream<Sort.Order>>, Streamable<Sort.Order>

Enclosing class:
  Sort

    public static class Sort.TypedSort<T>
    extends Sort

Extension of Sort to use method handles to define properties to sort by.

Since:
  2.2
Author:
  Oliver Gierke
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.springframework.data.domain.Sort

`Sort.Direction, Sort.NullHandling, Sort.Order, Sort.TypedSort<T>`

### Field Summary

### Fields inherited from class org.springframework.data.domain.Sort

`DEFAULT_DIRECTION`

### Method Summary

All Methods Instance Methods Concrete Methods
`Sort` `ascending()` Returns a new `Sort` with the current setup but ascending order direction.
`<S> Sort.TypedSort<S>` `by(Function<T,S> property)`
`<S> Sort.TypedSort<S>` `by(MethodInvocationRecorder.Recorded.ToCollectionConverter<T,S> collectionProperty)`
`<S> Sort.TypedSort<S>` `by(MethodInvocationRecorder.Recorded.ToMapConverter<T,S> mapProperty)`
`Sort` `descending()` Returns a new `Sort` with the current setup but descending order direction.
`Iterator<Sort.Order>` `iterator()`
`String` `toString()`

### Methods inherited from class org.springframework.data.domain.Sort

`and, by, by, by, by, equals, getOrderFor, hashCode, isSorted, isUnsorted, sort, unsorted`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.data.util.Streamable

`and, and, and, and, empty, filter, flatMap, get, isEmpty, map, of, of, of, stream, toList, toSet, toStreamable, toStreamable`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Method Detail

#### by

    public <S> Sort.TypedSort<S> by(Function<T,S> property)

#### by

    public <S> Sort.TypedSort<S> by(MethodInvocationRecorder.Recorded.ToCollectionConverter<T,S> collectionProperty)

#### by

    public <S> Sort.TypedSort<S> by(MethodInvocationRecorder.Recorded.ToMapConverter<T,S> mapProperty)

#### ascending

    public Sort ascending()

Description copied from class: `Sort`
Returns a new `Sort` with the current setup but ascending order direction.

Overrides:
  `ascending` in class `Sort`
Returns:

#### descending

    public Sort descending()

Description copied from class: `Sort`
Returns a new `Sort` with the current setup but descending order direction.

Overrides:
  `descending` in class `Sort`
Returns:

#### iterator

    public Iterator<Sort.Order> iterator()

Specified by:
  `iterator` in interface `Iterable<Sort.Order>`
Overrides:
  `iterator` in class `Sort`

#### toString

    public String toString()

Overrides:
  `toString` in class `Sort`